org.apache.felix.ipojo.annotations

## Annotation Type Property

    @Target(value={FIELD,METHOD,PARAMETER,ANNOTATION_TYPE})
    public @interface Property

This annotation declares a component property. It can target both fields and methods.

Author:
  Felix Project Team

### Optional Element Summary

Optional Elements
`boolean` `immutable` Is the property immutable? Default: false
`boolean` `mandatory` Is the property mandatory? Default: false
`String` `name` Set property name.
`String` `value` Set property value.

### Element Detail

#### name

    public abstract String name

Set property name. Default : empty

Default:
  ""

#### value

    public abstract String value

Set property value. Default : empty

Default:
  ""

#### mandatory

    public abstract boolean mandatory

Is the property mandatory? Default: false

Default:
  false

#### immutable

    public abstract boolean immutable

Is the property immutable? Default: false

Default:
  false